<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:pi="http://www.ibm.com" xmlns:platformInfo="com.ibm.ci.invtool.core.PlatformInfo" version="1.0" xmlns:xalan="http://xml.apache.org/xslt">
	<xsl:output method="text" />
	<xsl:template match="/">
		<xsl:variable name="RSUs" select="//RSUs/*" />
		<xsl:variable name="fixpacksOrCSDs" select="//fixpacksOrCSDs/*" />
		<xsl:variable name="PTFs" select="//PTFs/*" />
		<xsl:variable name="interimFixes" select="//interimFixes/*" />
		<xsl:text>Start Component&#xA;Name = "lrtwp.mif"&#xA;Description = "This component represents the WebSphere platform level information"&#xA;Start Group&#xA;&#x9;Name = "WP_PRODINFO"&#xA;&#x9;Class = "IBM|Product Information|1"&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "NAME"&#xA;&#x9;&#x9;ID = 1&#xA;&#x9;&#x9;Type = String(80)&#xA;&#x9;&#x9;Value = ""&#xA; &#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "VERSION"&#xA;&#x9;&#x9;ID = 2&#xA;&#x9;&#x9;Type = String(10)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "PATH"&#xA;&#x9;&#x9;ID = 3&#xA;&#x9;&#x9;Type = String(120)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "BLDLEVEL"&#xA;&#x9;&#x9;ID = 4&#xA;&#x9;&#x9;Type = String(20)&#xA; &#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "BLDDATE"&#xA;&#x9;&#x9;ID = 5&#xA;&#x9;&#x9;Type = String(30)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Key = 1,2&#xA;End Group&#xA;&#xA;</xsl:text>
		<xsl:text>Start Table&#xA;</xsl:text>
		<xsl:text>&#x9;Name = "Product Information Table"&#xA;</xsl:text>
		<xsl:text>&#x9;ID = 1&#xA;</xsl:text>
		<xsl:text>&#x9;Class = "IBM|Product Information|1"&#xA;</xsl:text>
		<xsl:for-each select="pi:Platform/installedProduct">
			<xsl:call-template name="productInfo">
				<xsl:with-param name="name" select="name" />
				<xsl:with-param name="version" select="version" />
				<xsl:with-param name="root" select="productRoot" />
				<xsl:with-param name="level" select="buildLevel" />
				<xsl:with-param name="date" select="buildDate" />
			</xsl:call-template>
		</xsl:for-each>
		<xsl:text>End Table&#xA;&#xA;</xsl:text>
		<xsl:text>Start Group&#xA;&#x9;Name = "WP_RSU"&#xA;&#x9;Class = "IBM|RSU|1"&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "NAME"&#xA;&#x9;&#x9;ID = 1&#xA;&#x9;&#x9;Type = String(80)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "VERSION"&#xA;&#x9;&#x9;ID = 2&#xA;&#x9;&#x9;Type = String(10)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "RSU"&#xA;&#x9;&#x9;ID = 3&#xA;&#x9;&#x9;Type = String(50)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Key = 1,2,3&#xA;End Group&#xA;&#xA;</xsl:text>
		<xsl:choose>
			<xsl:when test="count($RSUs)!=0">
				<xsl:text>Start Table&#xA;</xsl:text>
				<xsl:text>&#x9;Name = "RSU Table"&#xA;</xsl:text>
				<xsl:text>&#x9;ID = 2&#xA;</xsl:text>
				<xsl:text>&#x9;Class = "IBM|RSU|1&#xA;</xsl:text>
				<xsl:for-each select="pi:Platform/installedProduct">
					<xsl:call-template name="fixInfo">
						<xsl:with-param name="name" select="name" />
						<xsl:with-param name="version" select="version" />
						<xsl:with-param name="node" select="RSUs" />
					</xsl:call-template>
				</xsl:for-each>
				<xsl:text>End Table&#xA;&#xA;</xsl:text>
			</xsl:when>
		</xsl:choose>
		<xsl:text>Start Group&#xA;&#x9;Name = "WP_FIXPACK"&#xA;&#x9;Class = "IBM|FixPack or CSD|1"&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "NAME"&#xA;&#x9;&#x9;ID = 1&#xA;&#x9;&#x9;Type = String(80)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "VERSION"&#xA;&#x9;&#x9;ID = 2&#xA;&#x9;&#x9;Type = String(10)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "FIXPACK"&#xA;&#x9;&#x9;ID = 3&#xA;&#x9;&#x9;Type = String(50)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Key = 1,2,3&#xA;End Group&#xA;&#xA;</xsl:text>
		<xsl:choose>
			<xsl:when test="count($fixpacksOrCSDs)!=0">
				<xsl:text>Start Table&#xA;</xsl:text>
				<xsl:text>&#x9;Name = "Fixpack or CSD Table"&#xA;</xsl:text>
				<xsl:text>&#x9;ID = 3&#xA;</xsl:text>
				<xsl:text>&#x9;Class = "IBM|Fixpack or CSD|1&#xA;</xsl:text>
				<xsl:for-each select="pi:Platform/installedProduct">
					<xsl:call-template name="fixInfo">
						<xsl:with-param name="name" select="name" />
						<xsl:with-param name="version" select="version" />
						<xsl:with-param name="node" select="fixpacksOrCSDs" />
					</xsl:call-template>
				</xsl:for-each>
				<xsl:text>End Table&#xA;&#xA;</xsl:text>
			</xsl:when>
		</xsl:choose>
		<xsl:text>Start Group&#xA;&#x9;Name = "WP_PTF"&#xA;&#x9;Class = "IBM|PTF|1"&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "NAME"&#xA;&#x9;&#x9;ID = 1&#xA;&#x9;&#x9;Type = String(80)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "VERSION"&#xA;&#x9;&#x9;ID = 2&#xA;&#x9;&#x9;Type = String(10)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "PTF"&#xA;&#x9;&#x9;ID = 3&#xA;&#x9;&#x9;Type = String(50)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Key = 1,2,3&#xA;End Group&#xA;&#xA;</xsl:text>
		<xsl:choose>
			<xsl:when test="count($PTFs)!=0">
				<xsl:text>Start Table&#xA;</xsl:text>
				<xsl:text>&#x9;Name = "PTF Table"&#xA;</xsl:text>
				<xsl:text>&#x9;ID = 4&#xA;</xsl:text>
				<xsl:text>&#x9;Class = "IBM|PTF|1&#xA;</xsl:text>
				<xsl:for-each select="pi:Platform/installedProduct">
					<xsl:call-template name="fixInfo">
						<xsl:with-param name="name" select="name" />
						<xsl:with-param name="version" select="version" />
						<xsl:with-param name="node" select="PTFs" />
					</xsl:call-template>
				</xsl:for-each>
				<xsl:text>End Table&#xA;&#xA;</xsl:text>
			</xsl:when>
		</xsl:choose>
		<xsl:text>Start Group&#xA;&#x9;Name = "WP_IFIX"&#xA;&#x9;Class = "IBM|Interim Fix|1"&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "NAME"&#xA;&#x9;&#x9;ID = 1&#xA;&#x9;&#x9;Type = String(80)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "VERSION"&#xA;&#x9;&#x9;ID = 2&#xA;&#x9;&#x9;Type = String(10)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Start Attribute&#xA;&#x9;&#x9;Name = "IFIX"&#xA;&#x9;&#x9;ID = 3&#xA;&#x9;&#x9;Type = String(50)&#xA;&#x9;&#x9;Value = ""&#xA;&#x9;End Attribute&#xA;&#x9;Key = 1,2,3&#xA;End Group&#xA;&#xA;</xsl:text>
		<xsl:choose>
			<xsl:when test="count($interimFixes)!=0">
				<xsl:text>Start Table&#xA;</xsl:text>
				<xsl:text>&#x9;Name = "Interim Fix Table"&#xA;</xsl:text>
				<xsl:text>&#x9;ID = 5&#xA;</xsl:text>
				<xsl:text>&#x9;Class = "IBM|Interim Fix|1&#xA;</xsl:text>
				<xsl:for-each select="pi:Platform/installedProduct">
					<xsl:call-template name="fixInfo">
						<xsl:with-param name="name" select="name" />
						<xsl:with-param name="version" select="version" />
						<xsl:with-param name="node" select="interimFixes" />
					</xsl:call-template>
				</xsl:for-each>
				<xsl:text>End Table&#xA;&#xA;</xsl:text>
			</xsl:when>
		</xsl:choose>
		<xsl:text>End Component</xsl:text>
	</xsl:template>
	<xsl:template name="productInfo">
		<xsl:param name="name" />
		<xsl:param name="version" />
		<xsl:param name="root" />
		<xsl:param name="level" />
		<xsl:param name="date" />
		<xsl:text>&#x9;{"</xsl:text>
		<xsl:value-of select="$name" />
		<xsl:text>", "</xsl:text>
		<xsl:value-of select="$version" />
		<xsl:text>", "</xsl:text>
		<xsl:value-of select="$root" />
		<xsl:text>", "</xsl:text>
		<xsl:value-of select="$level" />
		<xsl:text>", "</xsl:text>
		<xsl:value-of select="$date" />
		<xsl:text>"}&#xA;</xsl:text>
	</xsl:template>
	<xsl:template name="fixInfo">
		<xsl:param name="name" />
		<xsl:param name="version" />
		<xsl:param name="node" />
		<xsl:for-each select="$node/*">
			<xsl:text>&#x9;{"</xsl:text>
			<xsl:value-of select="$name" />
			<xsl:text>", "</xsl:text>
			<xsl:value-of select="$version" />
			<xsl:text>", "</xsl:text>
			<xsl:value-of select="." />
			<xsl:text>"}&#xA;</xsl:text>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>